SoTextDetail(3)

NAME
SoTextDetail - The SoTextDetail stores information about a character in a string.

SYNOPSIS

#include <Inventor/details/SoTextDetail.h>

Inherits SoDetail.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextDetail (void)
virtual ~SoTextDetail ()
virtual SoDetail * copy (void) const
int getStringIndex (void) const
int getCharacterIndex (void) const
int getPart (void) const
void setStringIndex (const int idx)
void setCharacterIndex (const int idx)
void setPart (const int idx)
Public Member Functions inherited from SoDetail
virtual ~SoDetail ()
SbBool isOfType (const SoType type) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void cleanupClass (void)
static void initClass (void)
Static Public Member Functions inherited from SoDetail
static void initClass (void)
static void initClasses (void)
static SoType getClassTypeId (void)

  Additional Inherited Members
Protected Member Functions inherited from SoDetail
SoDetail (void)

Detailed Description

The SoTextDetail stores information about a character in a string. Instances of this class are used for storing information about hit points on textual 2D or 3D geometry after pick operations, and for storing information returned to tessellation callbacks.

See also
    SoRayPickAction, SoCallbackAction

    SoText3, SoText2, SoAsciiText

Constructor & Destructor Documentation

  SoTextDetail::SoTextDetail (void )
Constructor sets up an "empty" detail; all indices are set to -1 to indicate this.

  SoTextDetail::~SoTextDetail () [virtual]
Destructor. This class does not allocate any extra resources, so no actions are taken.

Member Function Documentation

  SoType SoTextDetail::getTypeId (void ) const [virtual]
Returns the type identification of an object derived from a class inheriting SoDetail. This is used for runtime type checking and "downward" casting.

Implements SoDetail.

  SoType SoTextDetail::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  void SoTextDetail::cleanupClass (void ) [inline], [static]
This static method cleans up static data of the class.

  SoDetail * SoTextDetail::copy (void ) const [virtual]
Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

  int SoTextDetail::getStringIndex (void ) const
Returns the index of the string where a character was hit / generated, from a set of multiple strings.

See also
    SoMFString

  int SoTextDetail::getCharacterIndex (void ) const
Returns the index of the character in the string which was hit.

See also
    getStringIndex()

  int SoTextDetail::getPart (void ) const
For SoText3, returns the part id of the text geometry. The id numbers matches those specified in the SoText3::Part enumeration.

  void SoTextDetail::setStringIndex (const int idx)
Internal method for "client" shape nodes to initialize this SoTextDetail instance.

  void SoTextDetail::setCharacterIndex (const int idx)
Internal method for "client" shape nodes to initialize this SoTextDetail instance.

  void SoTextDetail::setPart (const int partarg)
Internal method for "client" shape nodes to initialize this SoTextDetail instance.

Author

Generated automatically by Doxygen for Coin from the source code.